Subject: Problems we are solving

From: Robin Layland <[email-masked]>
Date: Fri, 23 Jul 93 23:05 GMT

*****Forwarded Message
From: gayek 
EMS: INTERNET / MCI ID: 376-5414
MBX: [email-masked]
To: Robin Layland /MCI ID: 589-8042
To: aiw sig dlsw flowcon 
EMS: INTERNET / MCI ID: 376-5414
MBX: [email-masked]
Date: Thu Jul 22, 1993  5:17 pm  EST

Key:
Rx = Router x, Sx = (End) Station x (mac+sap), Px = Port x
TC = transport connection, identified by router pair Rx-Ry
cr = circuit, identified by station pair Sx-Sy
 
       +-------+ TC R1-R2                    +-------+
S1--L  |  R1  Pc-----------------------------Pa R2   |  L--S5
    A--Pa      |  carries cr's S1-S5, S1-S6  |      Pb--A
S2--N  |       |               S3-S5, S4-S6  |       |  N-S6
       |       |                             +-------+
       |       |
S3--L  |       |  TC R1-R3                   +-------+
    A--Pb     Pd-----------------------------Pa R3   |  L--S7
S4--N  |       |  carries cr's S1-S7, S2-S8  |      Pb--A
       +-------+               S3-S7, S4-S7  |       |  N--S8
                                             +-------+

>Robin, I did not understand your last point about sending RNR with
>a certain sequence number.  Could you please restate the scenario with
>a few more specifics?  I got confused about which router was sending
>what to whom.  You could use the configuration pictured above if you
>want.
>
>Peter Gayek
 
S1 is sending a large amount of data over an LLC2 session. R1 gets congested. R1
send an RNR to S1. S1 keeps sending until it processes the RNR. The messages
send between the time R1 RNR S1 and S1 processes the RNR could overflow the
buffers of R1. I was stating that in Token Ring (not sure on LLC2 Ethernet
implementation) that the RNR has a sequence number that indicate what was the
last successfully received message. When R1 is ready to start receiving traffic
it could send a REJ message indicating it has not successfully received all the
messages received after the RNR was send. This is a way for R1 to discard them
message with a builtin recover means in S1.